Skip to content

Get employee groups

GET
/accounts/{accountUuid}/time/v2/employee-groups

Get all employee groups for an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"translations": {
  
  
  
  
"de": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"en": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"fr": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
},
  
  
  
  
"it": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
}
  
  
  
}
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Add employee group

POST
/accounts/{accountUuid}/time/v2/employee-groups

Add a new employee group for an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"translations": {
  
  
"de": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
},
  
  
"en": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
},
  
  
"fr": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
},
  
  
"it": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
}
  
}
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"translations": {
  
  
  
"de": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"en": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"fr": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"it": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
}
  
  
}
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples


Get employee group

GET
/accounts/{accountUuid}/time/v2/employee-groups/{employeeGroupUuid}

Get an employee group for an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeGroupUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"translations": {
  
  
  
"de": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"en": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"fr": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"it": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
}
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Delete employee group

DELETE
/accounts/{accountUuid}/time/v2/employee-groups/{employeeGroupUuid}

Delete an employee group of an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeGroupUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

Playground

Authorization
Variables
Key
Value

Samples


Update employee group

PATCH
/accounts/{accountUuid}/time/v2/employee-groups/{employeeGroupUuid}

Update an employee group for an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeGroupUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"translations": {
  
  
"de": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
},
  
  
"en": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
},
  
  
"fr": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
},
  
  
"it": {
  
  
  
"name": "string",
  
  
  
"description": "string"
  
  
}
  
}
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"translations": {
  
  
  
"de": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"en": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"fr": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"it": {
  
  
  
  
"description": "string",
  
  
  
  
"name": "string"
  
  
  
}
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples